Bug 14785 - nv driver is not used for Riva128 cards
nv driver is not used for Riva128 cards
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-28 05:36 EDT by Brian Ryner
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-28 17:05:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Ryner 2000-07-28 05:36:01 EDT
I had filed this bug before (it was marked MUST-FIX for Winston Gold
Release), but bugzilla corruption seems to have eaten it... so here goes
again.

Xconfigurator reports that no XFree86 4 driver is available for a Riva128
card.  It should be using the nv driver.  Here's a patch to
/usr/X11R6/lib/X11/Cards that seems to fix it:

--- Cards.orig	Fri Jul 28 02:35:19 2000
+++ Cards	Fri Jul 28 02:34:51 2000
@@ -2763,6 +2763,7 @@
 NAME RIVA128
 CHIPSET RIVA128
 SERVER SVGA
+DRIVER nv
 NOCLOCKPROBE
 
 NAME RIVA TNT
Comment 1 Trond Eivind Glomsrxd 2000-07-28 15:51:28 EDT
Is it good enough to be the primary driver, or is it just available?
Comment 2 Trond Eivind Glomsrxd 2000-07-28 17:05:32 EDT
Added the driver in CVS, but it is not used as default.
Comment 3 Brian Ryner 2000-07-28 18:45:18 EDT
Why not the primary driver?  Are there known problems?
Comment 4 Trond Eivind Glomsrxd 2000-07-31 10:57:32 EDT
No, but we can't test and XFree 4 has issues with quite a few cards. Testing and
feedback appreciated

Note You need to log in before you can comment on or make changes to this bug.